import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'quickcapture_platform_interface.dart';

/// An implementation of [QuickcapturePlatform] that uses method channels.
class MethodChannelQuickcapture extends QuickcapturePlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('quickcapture');

  @override
  Future<String?> getPlatformVersion() async {
    final version =
        await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }

  @override
  Future<String?> startCapture() async {
    String? version = await methodChannel.invokeMethod<String>('startCapture');
    return version;

    // methodChannel.setMethodCallHandler((call) async {
    //   if (call.method == '_onActivityResult') {
    //     int requestCode = call.arguments['requestCode'];
    //     int resultCode = call.arguments['resultCode'];
    //     dynamic data = call.arguments['data'];
    //     await _onActivityResult(requestCode, resultCode, data);
    //   }
    // });

    // try {
    //   return await methodChannel
    //       .invokeMethod('startCapture', {'requestCode': 123});
    // } on PlatformException catch (e) {
    //   print('Failed to start activity: ${e.message}');
    // }

    // return "done";
  }

  // Future<void> _onActivityResult(
  //     int requestCode, int resultCode, dynamic data) async {
  //   if (requestCode == 123) {
  //     print('Failed to start activity: $requestCode');
  //   }
  // }
}
